@echo off
setlocal enabledelayedexpansion
echo Searching for environment variables matching pattern 'TCXXX_HOME'...

REM Loop through all environment variables starting with TC
for /F "tokens=2 delims==" %%G in ('set TC') do (

    REM Skip invalid values like single letters or missing paths
    if not "%%G"=="" if exist "%%G" (
        REM Define the target directory (use delayed expansion to handle spaces)
        set "targetDir=%%G\moose\tcmDependencies"

        REM Check if the directory exists
        if exist "!targetDir!" (
		    REM Debug: Output the target directory
            echo Checking directory: "!targetDir!"
			
            REM Check if the bcrypt.dll file exists
            if exist "!targetDir!\bcrypt.dll" (
                echo Found !targetDir!\bcrypt.dll. Renaming to bcrypt.dll.old...
                ren "!targetDir!\bcrypt.dll" "bcrypt.dll.old"
            ) else (
                echo Do nothing. File bcrypt.dll not found in !targetDir!.
            )

            REM Check if the bcryptPrimitives.dll file exists
            if exist "!targetDir!\bcryptPrimitives.dll" (
                echo Found !targetDir!\bcryptPrimitives.dll. Renaming to bcryptPrimitives.dll.old...
                ren "!targetDir!\bcryptPrimitives.dll" "bcryptPrimitives.dll.old"
            ) else (
                echo Do nothing. File bcryptPrimitives.dll not found in !targetDir!.
            )
        )
    )
)

echo Processing completed.
pause